Subject: Re: [PATCH] iproute2 -- add fwmarkmask

From: Patrick McHardy <[email-masked]>
Date: Fri, 24 Feb 2006 05:59:33 +0100

Michael Richardson wrote:
> 
> 
>>>>>>>"Patrick" == Patrick McHardy <[email-masked]> writes:
> 
>     Patrick> The normal way to display masks is with a "/". Also I think
>     Patrick> it shouldn't display the default mask to avoid breaking
>     Patrick> scripts that parse the output.
> 
>   I generally dislike the /VALUE, since I expect /PREFIX-LEN.
>   I agree that it shouldn't show if it is default.
> 
>     Patrick> ip should be able to parse its own output, and it would
>     Patrick> also look nicer if I could just say "fwmark
>     Patrick> 0x1/32". fwmarkmask is really an incredible ugly expression
>     Patrick> :)
> 
>   Sure. Is that a 32-bit long mask (0xfffffff), or is it a 0x00000020?
>   fwmark is not an address.
> 
>   Or would you like /32 to be a prefix-based mask, and &value and/or
> fwmarkmask to be a value? 

That was not the greatest example :) I think it should be a bitmask.